﻿// Copyright (c) Six Labors and contributors.
// Licensed under the Apache License, Version 2.0.

namespace SixLabors.ImageSharp.PixelFormats
{
    /// <content>
    /// Provides standardized definitions for named colors.
    /// </content>
    public partial struct Rgba32
    {
        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0F8FF.
        /// </summary>
        public static readonly Rgba32 AliceBlue = NamedColors<Rgba32>.AliceBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FAEBD7.
        /// </summary>
        public static readonly Rgba32 AntiqueWhite = NamedColors<Rgba32>.AntiqueWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FFFF.
        /// </summary>
        public static readonly Rgba32 Aqua = NamedColors<Rgba32>.Aqua;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7FFFD4.
        /// </summary>
        public static readonly Rgba32 Aquamarine = NamedColors<Rgba32>.Aquamarine;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0FFFF.
        /// </summary>
        public static readonly Rgba32 Azure = NamedColors<Rgba32>.Azure;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5F5DC.
        /// </summary>
        public static readonly Rgba32 Beige = NamedColors<Rgba32>.Beige;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFE4C4.
        /// </summary>
        public static readonly Rgba32 Bisque = NamedColors<Rgba32>.Bisque;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #000000.
        /// </summary>
        public static readonly Rgba32 Black = NamedColors<Rgba32>.Black;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFEBCD.
        /// </summary>
        public static readonly Rgba32 BlanchedAlmond = NamedColors<Rgba32>.BlanchedAlmond;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #0000FF.
        /// </summary>
        public static readonly Rgba32 Blue = NamedColors<Rgba32>.Blue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8A2BE2.
        /// </summary>
        public static readonly Rgba32 BlueViolet = NamedColors<Rgba32>.BlueViolet;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #A52A2A.
        /// </summary>
        public static readonly Rgba32 Brown = NamedColors<Rgba32>.Brown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DEB887.
        /// </summary>
        public static readonly Rgba32 BurlyWood = NamedColors<Rgba32>.BurlyWood;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #5F9EA0.
        /// </summary>
        public static readonly Rgba32 CadetBlue = NamedColors<Rgba32>.CadetBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7FFF00.
        /// </summary>
        public static readonly Rgba32 Chartreuse = NamedColors<Rgba32>.Chartreuse;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D2691E.
        /// </summary>
        public static readonly Rgba32 Chocolate = NamedColors<Rgba32>.Chocolate;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF7F50.
        /// </summary>
        public static readonly Rgba32 Coral = NamedColors<Rgba32>.Coral;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #6495ED.
        /// </summary>
        public static readonly Rgba32 CornflowerBlue = NamedColors<Rgba32>.CornflowerBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFF8DC.
        /// </summary>
        public static readonly Rgba32 Cornsilk = NamedColors<Rgba32>.Cornsilk;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DC143C.
        /// </summary>
        public static readonly Rgba32 Crimson = NamedColors<Rgba32>.Crimson;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FFFF.
        /// </summary>
        public static readonly Rgba32 Cyan = NamedColors<Rgba32>.Cyan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00008B.
        /// </summary>
        public static readonly Rgba32 DarkBlue = NamedColors<Rgba32>.DarkBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #008B8B.
        /// </summary>
        public static readonly Rgba32 DarkCyan = NamedColors<Rgba32>.DarkCyan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B8860B.
        /// </summary>
        public static readonly Rgba32 DarkGoldenrod = NamedColors<Rgba32>.DarkGoldenrod;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #A9A9A9.
        /// </summary>
        public static readonly Rgba32 DarkGray = NamedColors<Rgba32>.DarkGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #006400.
        /// </summary>
        public static readonly Rgba32 DarkGreen = NamedColors<Rgba32>.DarkGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #BDB76B.
        /// </summary>
        public static readonly Rgba32 DarkKhaki = NamedColors<Rgba32>.DarkKhaki;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8B008B.
        /// </summary>
        public static readonly Rgba32 DarkMagenta = NamedColors<Rgba32>.DarkMagenta;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #556B2F.
        /// </summary>
        public static readonly Rgba32 DarkOliveGreen = NamedColors<Rgba32>.DarkOliveGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF8C00.
        /// </summary>
        public static readonly Rgba32 DarkOrange = NamedColors<Rgba32>.DarkOrange;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9932CC.
        /// </summary>
        public static readonly Rgba32 DarkOrchid = NamedColors<Rgba32>.DarkOrchid;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8B0000.
        /// </summary>
        public static readonly Rgba32 DarkRed = NamedColors<Rgba32>.DarkRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #E9967A.
        /// </summary>
        public static readonly Rgba32 DarkSalmon = NamedColors<Rgba32>.DarkSalmon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8FBC8B.
        /// </summary>
        public static readonly Rgba32 DarkSeaGreen = NamedColors<Rgba32>.DarkSeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #483D8B.
        /// </summary>
        public static readonly Rgba32 DarkSlateBlue = NamedColors<Rgba32>.DarkSlateBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #2F4F4F.
        /// </summary>
        public static readonly Rgba32 DarkSlateGray = NamedColors<Rgba32>.DarkSlateGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00CED1.
        /// </summary>
        public static readonly Rgba32 DarkTurquoise = NamedColors<Rgba32>.DarkTurquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9400D3.
        /// </summary>
        public static readonly Rgba32 DarkViolet = NamedColors<Rgba32>.DarkViolet;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF1493.
        /// </summary>
        public static readonly Rgba32 DeepPink = NamedColors<Rgba32>.DeepPink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00BFFF.
        /// </summary>
        public static readonly Rgba32 DeepSkyBlue = NamedColors<Rgba32>.DeepSkyBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #696969.
        /// </summary>
        public static readonly Rgba32 DimGray = NamedColors<Rgba32>.DimGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #1E90FF.
        /// </summary>
        public static readonly Rgba32 DodgerBlue = NamedColors<Rgba32>.DodgerBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B22222.
        /// </summary>
        public static readonly Rgba32 Firebrick = NamedColors<Rgba32>.Firebrick;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFAF0.
        /// </summary>
        public static readonly Rgba32 FloralWhite = NamedColors<Rgba32>.FloralWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #228B22.
        /// </summary>
        public static readonly Rgba32 ForestGreen = NamedColors<Rgba32>.ForestGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF00FF.
        /// </summary>
        public static readonly Rgba32 Fuchsia = NamedColors<Rgba32>.Fuchsia;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DCDCDC.
        /// </summary>
        public static readonly Rgba32 Gainsboro = NamedColors<Rgba32>.Gainsboro;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F8F8FF.
        /// </summary>
        public static readonly Rgba32 GhostWhite = NamedColors<Rgba32>.GhostWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFD700.
        /// </summary>
        public static readonly Rgba32 Gold = NamedColors<Rgba32>.Gold;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DAA520.
        /// </summary>
        public static readonly Rgba32 Goldenrod = NamedColors<Rgba32>.Goldenrod;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #808080.
        /// </summary>
        public static readonly Rgba32 Gray = NamedColors<Rgba32>.Gray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #008000.
        /// </summary>
        public static readonly Rgba32 Green = NamedColors<Rgba32>.Green;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #ADFF2F.
        /// </summary>
        public static readonly Rgba32 GreenYellow = NamedColors<Rgba32>.GreenYellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0FFF0.
        /// </summary>
        public static readonly Rgba32 Honeydew = NamedColors<Rgba32>.Honeydew;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF69B4.
        /// </summary>
        public static readonly Rgba32 HotPink = NamedColors<Rgba32>.HotPink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #CD5C5C.
        /// </summary>
        public static readonly Rgba32 IndianRed = NamedColors<Rgba32>.IndianRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #4B0082.
        /// </summary>
        public static readonly Rgba32 Indigo = NamedColors<Rgba32>.Indigo;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFF0.
        /// </summary>
        public static readonly Rgba32 Ivory = NamedColors<Rgba32>.Ivory;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F0E68C.
        /// </summary>
        public static readonly Rgba32 Khaki = NamedColors<Rgba32>.Khaki;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #E6E6FA.
        /// </summary>
        public static readonly Rgba32 Lavender = NamedColors<Rgba32>.Lavender;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFF0F5.
        /// </summary>
        public static readonly Rgba32 LavenderBlush = NamedColors<Rgba32>.LavenderBlush;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7CFC00.
        /// </summary>
        public static readonly Rgba32 LawnGreen = NamedColors<Rgba32>.LawnGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFACD.
        /// </summary>
        public static readonly Rgba32 LemonChiffon = NamedColors<Rgba32>.LemonChiffon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #ADD8E6.
        /// </summary>
        public static readonly Rgba32 LightBlue = NamedColors<Rgba32>.LightBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F08080.
        /// </summary>
        public static readonly Rgba32 LightCoral = NamedColors<Rgba32>.LightCoral;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #E0FFFF.
        /// </summary>
        public static readonly Rgba32 LightCyan = NamedColors<Rgba32>.LightCyan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FAFAD2.
        /// </summary>
        public static readonly Rgba32 LightGoldenrodYellow = NamedColors<Rgba32>.LightGoldenrodYellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D3D3D3.
        /// </summary>
        public static readonly Rgba32 LightGray = NamedColors<Rgba32>.LightGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #90EE90.
        /// </summary>
        public static readonly Rgba32 LightGreen = NamedColors<Rgba32>.LightGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFB6C1.
        /// </summary>
        public static readonly Rgba32 LightPink = NamedColors<Rgba32>.LightPink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFA07A.
        /// </summary>
        public static readonly Rgba32 LightSalmon = NamedColors<Rgba32>.LightSalmon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #20B2AA.
        /// </summary>
        public static readonly Rgba32 LightSeaGreen = NamedColors<Rgba32>.LightSeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #87CEFA.
        /// </summary>
        public static readonly Rgba32 LightSkyBlue = NamedColors<Rgba32>.LightSkyBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #778899.
        /// </summary>
        public static readonly Rgba32 LightSlateGray = NamedColors<Rgba32>.LightSlateGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B0C4DE.
        /// </summary>
        public static readonly Rgba32 LightSteelBlue = NamedColors<Rgba32>.LightSteelBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFE0.
        /// </summary>
        public static readonly Rgba32 LightYellow = NamedColors<Rgba32>.LightYellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FF00.
        /// </summary>
        public static readonly Rgba32 Lime = NamedColors<Rgba32>.Lime;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #32CD32.
        /// </summary>
        public static readonly Rgba32 LimeGreen = NamedColors<Rgba32>.LimeGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FAF0E6.
        /// </summary>
        public static readonly Rgba32 Linen = NamedColors<Rgba32>.Linen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF00FF.
        /// </summary>
        public static readonly Rgba32 Magenta = NamedColors<Rgba32>.Magenta;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #800000.
        /// </summary>
        public static readonly Rgba32 Maroon = NamedColors<Rgba32>.Maroon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #66CDAA.
        /// </summary>
        public static readonly Rgba32 MediumAquamarine = NamedColors<Rgba32>.MediumAquamarine;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #0000CD.
        /// </summary>
        public static readonly Rgba32 MediumBlue = NamedColors<Rgba32>.MediumBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #BA55D3.
        /// </summary>
        public static readonly Rgba32 MediumOrchid = NamedColors<Rgba32>.MediumOrchid;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9370DB.
        /// </summary>
        public static readonly Rgba32 MediumPurple = NamedColors<Rgba32>.MediumPurple;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #3CB371.
        /// </summary>
        public static readonly Rgba32 MediumSeaGreen = NamedColors<Rgba32>.MediumSeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #7B68EE.
        /// </summary>
        public static readonly Rgba32 MediumSlateBlue = NamedColors<Rgba32>.MediumSlateBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FA9A.
        /// </summary>
        public static readonly Rgba32 MediumSpringGreen = NamedColors<Rgba32>.MediumSpringGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #48D1CC.
        /// </summary>
        public static readonly Rgba32 MediumTurquoise = NamedColors<Rgba32>.MediumTurquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #C71585.
        /// </summary>
        public static readonly Rgba32 MediumVioletRed = NamedColors<Rgba32>.MediumVioletRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #191970.
        /// </summary>
        public static readonly Rgba32 MidnightBlue = NamedColors<Rgba32>.MidnightBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5FFFA.
        /// </summary>
        public static readonly Rgba32 MintCream = NamedColors<Rgba32>.MintCream;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFE4E1.
        /// </summary>
        public static readonly Rgba32 MistyRose = NamedColors<Rgba32>.MistyRose;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFE4B5.
        /// </summary>
        public static readonly Rgba32 Moccasin = NamedColors<Rgba32>.Moccasin;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFDEAD.
        /// </summary>
        public static readonly Rgba32 NavajoWhite = NamedColors<Rgba32>.NavajoWhite;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #000080.
        /// </summary>
        public static readonly Rgba32 Navy = NamedColors<Rgba32>.Navy;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FDF5E6.
        /// </summary>
        public static readonly Rgba32 OldLace = NamedColors<Rgba32>.OldLace;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #808000.
        /// </summary>
        public static readonly Rgba32 Olive = NamedColors<Rgba32>.Olive;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #6B8E23.
        /// </summary>
        public static readonly Rgba32 OliveDrab = NamedColors<Rgba32>.OliveDrab;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFA500.
        /// </summary>
        public static readonly Rgba32 Orange = NamedColors<Rgba32>.Orange;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF4500.
        /// </summary>
        public static readonly Rgba32 OrangeRed = NamedColors<Rgba32>.OrangeRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DA70D6.
        /// </summary>
        public static readonly Rgba32 Orchid = NamedColors<Rgba32>.Orchid;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #EEE8AA.
        /// </summary>
        public static readonly Rgba32 PaleGoldenrod = NamedColors<Rgba32>.PaleGoldenrod;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #98FB98.
        /// </summary>
        public static readonly Rgba32 PaleGreen = NamedColors<Rgba32>.PaleGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #AFEEEE.
        /// </summary>
        public static readonly Rgba32 PaleTurquoise = NamedColors<Rgba32>.PaleTurquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DB7093.
        /// </summary>
        public static readonly Rgba32 PaleVioletRed = NamedColors<Rgba32>.PaleVioletRed;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFEFD5.
        /// </summary>
        public static readonly Rgba32 PapayaWhip = NamedColors<Rgba32>.PapayaWhip;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFDAB9.
        /// </summary>
        public static readonly Rgba32 PeachPuff = NamedColors<Rgba32>.PeachPuff;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #CD853F.
        /// </summary>
        public static readonly Rgba32 Peru = NamedColors<Rgba32>.Peru;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFC0CB.
        /// </summary>
        public static readonly Rgba32 Pink = NamedColors<Rgba32>.Pink;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #DDA0DD.
        /// </summary>
        public static readonly Rgba32 Plum = NamedColors<Rgba32>.Plum;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #B0E0E6.
        /// </summary>
        public static readonly Rgba32 PowderBlue = NamedColors<Rgba32>.PowderBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #800080.
        /// </summary>
        public static readonly Rgba32 Purple = NamedColors<Rgba32>.Purple;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #663399.
        /// </summary>
        public static readonly Rgba32 RebeccaPurple = NamedColors<Rgba32>.RebeccaPurple;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF0000.
        /// </summary>
        public static readonly Rgba32 Red = NamedColors<Rgba32>.Red;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #BC8F8F.
        /// </summary>
        public static readonly Rgba32 RosyBrown = NamedColors<Rgba32>.RosyBrown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #4169E1.
        /// </summary>
        public static readonly Rgba32 RoyalBlue = NamedColors<Rgba32>.RoyalBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #8B4513.
        /// </summary>
        public static readonly Rgba32 SaddleBrown = NamedColors<Rgba32>.SaddleBrown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FA8072.
        /// </summary>
        public static readonly Rgba32 Salmon = NamedColors<Rgba32>.Salmon;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F4A460.
        /// </summary>
        public static readonly Rgba32 SandyBrown = NamedColors<Rgba32>.SandyBrown;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #2E8B57.
        /// </summary>
        public static readonly Rgba32 SeaGreen = NamedColors<Rgba32>.SeaGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFF5EE.
        /// </summary>
        public static readonly Rgba32 SeaShell = NamedColors<Rgba32>.SeaShell;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #A0522D.
        /// </summary>
        public static readonly Rgba32 Sienna = NamedColors<Rgba32>.Sienna;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #C0C0C0.
        /// </summary>
        public static readonly Rgba32 Silver = NamedColors<Rgba32>.Silver;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #87CEEB.
        /// </summary>
        public static readonly Rgba32 SkyBlue = NamedColors<Rgba32>.SkyBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #6A5ACD.
        /// </summary>
        public static readonly Rgba32 SlateBlue = NamedColors<Rgba32>.SlateBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #708090.
        /// </summary>
        public static readonly Rgba32 SlateGray = NamedColors<Rgba32>.SlateGray;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFAFA.
        /// </summary>
        public static readonly Rgba32 Snow = NamedColors<Rgba32>.Snow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #00FF7F.
        /// </summary>
        public static readonly Rgba32 SpringGreen = NamedColors<Rgba32>.SpringGreen;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #4682B4.
        /// </summary>
        public static readonly Rgba32 SteelBlue = NamedColors<Rgba32>.SteelBlue;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D2B48C.
        /// </summary>
        public static readonly Rgba32 Tan = NamedColors<Rgba32>.Tan;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #008080.
        /// </summary>
        public static readonly Rgba32 Teal = NamedColors<Rgba32>.Teal;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #D8BFD8.
        /// </summary>
        public static readonly Rgba32 Thistle = NamedColors<Rgba32>.Thistle;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FF6347.
        /// </summary>
        public static readonly Rgba32 Tomato = NamedColors<Rgba32>.Tomato;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFFF.
        /// </summary>
        public static readonly Rgba32 Transparent = NamedColors<Rgba32>.Transparent;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #40E0D0.
        /// </summary>
        public static readonly Rgba32 Turquoise = NamedColors<Rgba32>.Turquoise;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #EE82EE.
        /// </summary>
        public static readonly Rgba32 Violet = NamedColors<Rgba32>.Violet;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5DEB3.
        /// </summary>
        public static readonly Rgba32 Wheat = NamedColors<Rgba32>.Wheat;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFFFF.
        /// </summary>
        public static readonly Rgba32 White = NamedColors<Rgba32>.White;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #F5F5F5.
        /// </summary>
        public static readonly Rgba32 WhiteSmoke = NamedColors<Rgba32>.WhiteSmoke;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #FFFF00.
        /// </summary>
        public static readonly Rgba32 Yellow = NamedColors<Rgba32>.Yellow;

        /// <summary>
        /// Represents a <see cref="Rgba32"/> matching the W3C definition that has an hex value of #9ACD32.
        /// </summary>
        public static readonly Rgba32 YellowGreen = NamedColors<Rgba32>.YellowGreen;
    }
}